#!/bin/sh
MOUNTPOINT=/<server_home>/$USER
LOCALDIR=$HOME/
REMOTEDIR=$MOUNTPOINT/
EXCLUDEFILE=rsync_home-exclude.txt
LOGFILE=rsync_home.log
rsync --exclude-from=$EXCLUDEFILE -avuz $REMOTEDIR $LOCALDIR >$LOGFILE 2>&1
if [ "$?" == "0" ]; then
  echo "synchronization of local homedir with server homedir successfully done!"
else
  echo "synchronization of local homedir with server homedir failed!"
fi
rsync --exclude-from=$EXCLUDEFILE -avuz $LOCALDIR $REMOTEDIR >>$LOGFILE 2>&1
if [ "$?" == "0" ]; then
  echo "synchronization of server homedir with local homedir successfully done!"
else
  echo "synchronization of server homedir with local homedir failed!"
fi
